#!/bin/sh
# the following restarts using tclsh \
exec tclsh "$0" "$@"

#
# load the library
#

load .libs/libtclsrvrr.so
source srvrr.tcl


puts stdout [info commands srvrr::*]
puts stdout ""


puts stdout enable
srvrr::toggle 1
puts stdout [info body ::socket]
puts stdout ""


puts stdout apex-edge
catch { socket -service apex-edge beepcore.org 10288 } result
puts stdout $result
puts stdout ""

puts stdout syslog
catch { socket -service syslog beepcore.org 10288 } result
puts stdout $result
puts stdout ""


puts stdout soap-beep
catch { socket -service soap-beep beepcore.org 10288 } result
puts stdout $result
puts stdout ""


puts stdout server
catch { socket -server beepcore.org 10288 } result
puts stdout $result
puts stdout ""
